package test

import (
	"loafle.com/commons/orm/orm"
	_ "loafle.com/commons/orm/orm/dialects/h2"
	"log"
	"testing"
)

type Animal struct {
	ID    int64 `sql:"AUTO_INCREMENT" gorm:"primary_key"`
	Types string
	Name  string
}

func TestH2Insert(t *testing.T) {

	db, err := orm.Open("h2", "host=192.168.1.215 port=5435 user=sa dbname=ttt sslmode=disable password=qwe123")

	if err != nil {
		log.Println(err)
		return
	}

	defer db.Close()

	db.LogMode(true)

	db.CreateTable(&Animal{})

	ani := Animal{Types: "CAT", Name: "CATIA"}

	db.Create(&ani)

}
